Attach a FileTree mount to a Session
curl --request POST \
--url https://api.checkfu.com/v1/sessions/{id}/resource-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": {
"kind": "latest"
},
"writeback": null
}
'import requests
url = "https://api.checkfu.com/v1/sessions/{id}/resource-bindings"
payload = {
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": { "kind": "latest" },
"writeback": None
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
kind: 'file_tree',
file_tree_id: '<string>',
mount_path: '<string>',
version_policy: {kind: 'latest'},
writeback: null
})
};
fetch('https://api.checkfu.com/v1/sessions/{id}/resource-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/sessions/{id}/resource-bindings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'file_tree',
'file_tree_id' => '<string>',
'mount_path' => '<string>',
'version_policy' => [
'kind' => 'latest'
],
'writeback' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/sessions/{id}/resource-bindings"
payload := strings.NewReader("{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/sessions/{id}/resource-bindings")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/sessions/{id}/resource-bindings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"seq": 123,
"schema_version": 52,
"created_at": "<string>",
"type": "user.message",
"payload": {
"content": "<string>",
"authored_by": "<string>",
"caused_by": {
"kind": "api",
"request_id": "<string>"
},
"attachments": [
"<string>"
],
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization",
"original_digest": "<string>",
"findings": [
{
"kind": "mixed_script_confusable",
"utf16_offset": 1,
"code_point": "<string>",
"replacement": "<string>",
"answer_id": "<string>",
"value_index": 1
}
]
},
"connected_runtime": "<string>",
"run_delivery": "next_run",
"host_context": {
"source": "<string>",
"data": {}
}
},
"attested": true
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "runtime.invalid_transition",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-invalid-transition"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Attach a FileTree mount to a Session
Attaches a FileTree mount declaration to the Session: file_tree_id, an absolute mount_path that may not overlap another mount, access, and a…
POST
/
v1
/
sessions
/
{id}
/
resource-bindings
Attach a FileTree mount to a Session
curl --request POST \
--url https://api.checkfu.com/v1/sessions/{id}/resource-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": {
"kind": "latest"
},
"writeback": null
}
'import requests
url = "https://api.checkfu.com/v1/sessions/{id}/resource-bindings"
payload = {
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": { "kind": "latest" },
"writeback": None
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
kind: 'file_tree',
file_tree_id: '<string>',
mount_path: '<string>',
version_policy: {kind: 'latest'},
writeback: null
})
};
fetch('https://api.checkfu.com/v1/sessions/{id}/resource-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/sessions/{id}/resource-bindings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'file_tree',
'file_tree_id' => '<string>',
'mount_path' => '<string>',
'version_policy' => [
'kind' => 'latest'
],
'writeback' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/sessions/{id}/resource-bindings"
payload := strings.NewReader("{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/sessions/{id}/resource-bindings")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/sessions/{id}/resource-bindings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"file_tree\",\n \"file_tree_id\": \"<string>\",\n \"mount_path\": \"<string>\",\n \"version_policy\": {\n \"kind\": \"latest\"\n },\n \"writeback\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"seq": 123,
"schema_version": 52,
"created_at": "<string>",
"type": "user.message",
"payload": {
"content": "<string>",
"authored_by": "<string>",
"caused_by": {
"kind": "api",
"request_id": "<string>"
},
"attachments": [
"<string>"
],
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization",
"original_digest": "<string>",
"findings": [
{
"kind": "mixed_script_confusable",
"utf16_offset": 1,
"code_point": "<string>",
"replacement": "<string>",
"answer_id": "<string>",
"value_index": 1
}
]
},
"connected_runtime": "<string>",
"run_delivery": "next_run",
"host_context": {
"source": "<string>",
"data": {}
}
},
"attested": true
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "runtime.invalid_transition",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-invalid-transition"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Maximum string length:
255Path Parameters
Pattern:
^sess_[0-9a-f]{32}$Body
application/json
- Option 1
- Option 2
- Option 3
Available options:
file_tree Pattern:
^ftree_[0-9a-f]{32}$Required string length:
2 - 1024- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Available options:
read_only, read_write Response
Success
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
- Option 38
- Option 39
- Option 40
- Option 41
- Option 42
- Option 43
- Option 44
- Option 45
- Option 46
- Option 47
- Option 48
- Option 49
- Option 50
- Option 51
- Option 52
- Option 53
- Option 54
- Option 55
- Option 56
- Option 57
- Option 58
- Option 59
- Option 60
- Option 61
- Option 62
- Option 63
- Option 64
- Option 65
- Option 66
- Option 67
- Option 68
- Option 69
- Option 70
- Option 71
- Option 72
- Option 73
- Option 74
- Option 75
- Option 76
- Option 77
- Option 78
- Option 79
- Option 80
- Option 81
- Option 82
- Option 83
- Option 84